February 2, 2011

Rigoletto Rigoletto
Lab Rat
3 posts

How to install SDKs for other platforms and do i need other compilers?

 

Hello,

sorry for this newbie questions but i searched the forum and cant find the answers.
I have installed QT for Windows from this: http://qt.nokia.com/downloads/sdk-windows-cpp

If i start a new project there is no other platfrom to choose under project creation, only my platfrom (desktop).

I think i need to install other SDKs, so i downloaded: http://qt.nokia.com/downloads/win-ce-cpp
There is a readme how to install the SDK, but it says i should use the instructions given at: http://doc.qt.nokia.com/4.7/install-win.html

And there stands: “If you have obtained a binary package for this platform, consult the installation instructions provided instead of the ones in this document.”

But i dont know which instruction and where to find them!?

And need i other compilers? For example VisualStudio or emmbeded VC for Windows CE?
Can i compile for Linux too, or must i install a linux version?

greets
Rigoletto

6 replies

February 2, 2011

fcrochik fcrochik
Lab Rat
517 posts

You can cross compile for maemo and symbian on windows. In order to install the targets for maemo and symbian download the Qt SDK Technology Preview 2.1 (EDIT: 1.1)

To compile for linux or mac you will need to compile on same platform.

 Signature 

Certified Specialist & Qt Ambassador Maemo, Meego, Symbian, Playbook, RaspberryPi, Desktop… Qt everywhere!

February 3, 2011

Rigoletto Rigoletto
Lab Rat
3 posts

Hi, thanks for the answer, but cant find 2.1, i guess you mean Qt SDK 1.1: http://labs.qt.nokia.com/2011/01/20/qt-sdk-1-1-technology-preview-released/

Thats, fine i try to develop a little tool as trayicon that is communitcate with a website. It should be used for manage clan meetings.

Looks like all requiered api functions are available,
and Windows, linux and symbian should not be problem.

But how is it about Windows CE/Windows Mobile, where can i find the install instruction for this SDK and need i compiler like Visual Studio or embedded VC 4.0?

greets
Rigoletto

February 3, 2011

Gerolf Gerolf
Robot Herder
3287 posts

To build for Win CE you need the Windows SDKs installed on your machine, that means teh MSVS tool chain (at least the compiler, IDE is not needed) and the CE SDK. An overview of Windows SDK can be found here [en.wikipedia.org] or: SDK for Windows Mobile 2003-based Smartphones [microsoft.com]

When you have build the Qt libs for CE, you should be able to compile your project for windows CE.

 Signature 

Nokia Certified Qt Specialist.
Programming Is Like Sex: One mistake and you have to support it for the rest of your life. (Michael Sinz)

February 3, 2011

Rigoletto Rigoletto
Lab Rat
3 posts

Hi,

if i understand you correct i need eVC 4.0 and the SDK for WM.
Then i have to build the libs with eVC,
and after that compile the Qt-project with eVC.

Thanks, i try it out.
Rigoletto

February 3, 2011

Gerolf Gerolf
Robot Herder
3287 posts

You need MSVS and the SDK for WM
that should be enough

 Signature 

Nokia Certified Qt Specialist.
Programming Is Like Sex: One mistake and you have to support it for the rest of your life. (Michael Sinz)

February 3, 2011

fcrochik fcrochik
Lab Rat
517 posts
Rigoletto wrote:
Hi, thanks for the answer, but cant find 2.1, i guess you mean Qt SDK 1.1: http://labs.qt.nokia.com/2011/01/20/qt-sdk-1-1-technology-preview-released/

My bad… You are right. I meant the SDK 1.1 (preview) that comes with the Qt Creator 2.1 (Preview)

 Signature 

Certified Specialist & Qt Ambassador Maemo, Meego, Symbian, Playbook, RaspberryPi, Desktop… Qt everywhere!

 
  ‹‹ SQLite with QT SDK 1.1      QT 4.7.1 VS2003 commercial evaluation -- dead link ››

You must log in to post a reply. Not a member yet? Register here!